MainClassFinder.MainMethodFinder (Grails 5.2.3)

Package: org.grails.io.support

## [Groovy] Class MainClassFinder.MainMethodFinder

- org.grails.io.support.MainClassFinder.MainMethodFinder

-     @groovy.transform.CompileStatic
      static class MainClassFinder.MainMethodFinder
      extends org.springframework.asm.ClassVisitor

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `found`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MainMethodFinder ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `groovyjarjarasm.asm.MethodVisitor` | `visitMethod(int access, java.lang.String name, java.lang.String desc, java.lang.String signature, java.lang.String[] exceptions)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.asm.ClassVisitor` | `org.springframework.asm.ClassVisitor#visitSource(java.lang.String, java.lang.String), org.springframework.asm.ClassVisitor#visitField(int, java.lang.String, java.lang.String, java.lang.String, java.lang.Object), org.springframework.asm.ClassVisitor#visitAnnotation(java.lang.String, boolean), org.springframework.asm.ClassVisitor#visitEnd(), org.springframework.asm.ClassVisitor#visitMethod(int, java.lang.String, java.lang.String, java.lang.String, [Ljava.lang.String;), org.springframework.asm.ClassVisitor#visitOuterClass(java.lang.String, java.lang.String, java.lang.String), org.springframework.asm.ClassVisitor#visitTypeAnnotation(int, org.springframework.asm.TypePath, java.lang.String, boolean), org.springframework.asm.ClassVisitor#visitAttribute(org.springframework.asm.Attribute), org.springframework.asm.ClassVisitor#visitInnerClass(java.lang.String, java.lang.String, java.lang.String, int), org.springframework.asm.ClassVisitor#visitPermittedSubclass(java.lang.String), org.springframework.asm.ClassVisitor#visitRecordComponent(java.lang.String, java.lang.String, java.lang.String), org.springframework.asm.ClassVisitor#visit(int, int, java.lang.String, java.lang.String, java.lang.String, [Ljava.lang.String;), org.springframework.asm.ClassVisitor#visitNestHost(java.lang.String), org.springframework.asm.ClassVisitor#visitModule(java.lang.String, int, java.lang.String), org.springframework.asm.ClassVisitor#visitNestMember(java.lang.String), org.springframework.asm.ClassVisitor#wait(long, int), org.springframework.asm.ClassVisitor#wait(long), org.springframework.asm.ClassVisitor#wait(), org.springframework.asm.ClassVisitor#equals(java.lang.Object), org.springframework.asm.ClassVisitor#toString(), org.springframework.asm.ClassVisitor#hashCode(), org.springframework.asm.ClassVisitor#getClass(), org.springframework.asm.ClassVisitor#notify(), org.springframework.asm.ClassVisitor#notifyAll()`

- - ### Property Detail

    - #### boolean found

  - ### Constructor Detail

    - #### MainMethodFinder()

  - ### Method Detail

    - #### @java.lang.Override groovyjarjarasm.asm.MethodVisitor visitMethod(int access, java.lang.String name, java.lang.String desc, java.lang.String signature, java.lang.String[] exceptions)